Bug 1673710 - [abrt] virt-manager: gst_caps_set_simple_valist(): python3.7 killed by SIGSEGV
Summary: [abrt] virt-manager: gst_caps_set_simple_valist(): python3.7 killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-good
Version: rawhide
Hardware: x86_64
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fb9a89a0a1a91afb875c54d965a...
Keywords:
: 1677944 1684123 1687148 (view as bug list)
Depends On:
Blocks: F30BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-02-07 20:14 UTC by Adam Williamson
Modified: 2019-03-13 18:34 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-13 18:34:43 UTC


Attachments (Terms of Use)
File: backtrace (240.85 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: cgroup (227 bytes, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: core_backtrace (53.45 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: dso_list (24.79 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: environ (3.44 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: maps (141.09 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: mountinfo (4.43 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: open_fds (3.46 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2019-02-07 20:14 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2019-02-07 20:14:37 UTC
Description of problem:
Seems to happen often when trying to view a running VM in Rawhide.

Version-Release number of selected component:
virt-manager-2.1.0-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/share/virt-manager/virt-manager
crash_function: gst_caps_set_simple_valist
executable:     /usr/bin/python3.7
journald_cursor: s=a60a6f51cc75431c96e9c0be85b00b12;i=623df;b=e881cae98e6f48d39740255982823ae6;m=397c9f7d5;t=5815317a56503;x=559d0a9b4aced5c
kernel:         5.0.0-0.rc4.git3.1.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gst_caps_set_simple_valist at gstcaps.c:1082
 #1 gst_caps_set_simple at gstcaps.c:1115
 #2 gst_pulse_format_info_to_caps at pulseutil.c:495
 #3 gst_pulsesrc_create_stream at pulsesrc.c:1332
 #4 gst_pulsesrc_negotiate at pulsesrc.c:1451
 #5 gst_base_src_negotiate at gstbasesrc.c:3379
 #6 gst_base_src_loop at gstbasesrc.c:2801
 #7 gst_task_func at gsttask.c:328
 #9 g_thread_proxy at ../glib/gthread.c:805

Comment 1 Adam Williamson 2019-02-07 20:14:39 UTC
Created attachment 1527931 [details]
File: backtrace

Comment 2 Adam Williamson 2019-02-07 20:14:40 UTC
Created attachment 1527932 [details]
File: cgroup

Comment 3 Adam Williamson 2019-02-07 20:14:41 UTC
Created attachment 1527933 [details]
File: core_backtrace

Comment 4 Adam Williamson 2019-02-07 20:14:42 UTC
Created attachment 1527934 [details]
File: cpuinfo

Comment 5 Adam Williamson 2019-02-07 20:14:43 UTC
Created attachment 1527935 [details]
File: dso_list

Comment 6 Adam Williamson 2019-02-07 20:14:43 UTC
Created attachment 1527936 [details]
File: environ

Comment 7 Adam Williamson 2019-02-07 20:14:44 UTC
Created attachment 1527937 [details]
File: exploitable

Comment 8 Adam Williamson 2019-02-07 20:14:45 UTC
Created attachment 1527938 [details]
File: limits

Comment 9 Adam Williamson 2019-02-07 20:14:46 UTC
Created attachment 1527939 [details]
File: maps

Comment 10 Adam Williamson 2019-02-07 20:14:46 UTC
Created attachment 1527940 [details]
File: mountinfo

Comment 11 Adam Williamson 2019-02-07 20:14:47 UTC
Created attachment 1527941 [details]
File: open_fds

Comment 12 Adam Williamson 2019-02-07 20:14:48 UTC
Created attachment 1527942 [details]
File: proc_pid_status

Comment 13 Parag Nemade 2019-02-17 05:07:22 UTC
*** Bug 1677944 has been marked as a duplicate of this bug. ***

Comment 14 Parag Nemade 2019-02-17 05:11:00 UTC
I am raising the priority as its really difficult to use VM's. I upgraded from Fedora 29 to Fedora 30 and tried to use existing VM. The VM images starts but gets killed soon. This is causing problem on Fedora 30 not to use VM's.

Comment 15 Cole Robinson 2019-02-18 13:48:11 UTC
Does switching the display type to VNC fix things? Since the backtrace is from gstreamer this is likely triggered through spice

Since this is really deep in a gstreamer call stack, I'm reassigning to gstreamer1

Comment 16 Adam Williamson 2019-02-19 19:00:01 UTC
Yeah, switching to VNC "fixes" things. Bug happens with virtio+spice and qxl+spice, does not happen with qxl+vnc.

Note the bug seems to happen when a graphical environment starts. spice is OK if the vm stays at a console.

Comment 17 Parag Nemade 2019-02-20 05:28:32 UTC
Thanks Adam, qxl+vnc worked for me as well but not others.

Comment 19 Adam Williamson 2019-02-20 21:45:51 UTC
Well, I would test that, but it's blocked by the package failing to build for what seems to be an unrelated reason:

BUILDSTDERR: gstvpxdec.c: In function 'gst_vpx_dec_post_processing_flags_get_type':
BUILDSTDERR: gstvpxdec.c:65:15: error: 'VP8_DEBUG_TXT_FRAME_INFO' undeclared (first use in this function)
BUILDSTDERR:    65 |     {C_FLAGS (VP8_DEBUG_TXT_FRAME_INFO),

https://koji.fedoraproject.org/koji/taskinfo?taskID=32929807

I'd guess that's to do with the overlinking protection that was recently added to Rawhide/F30...

Comment 20 Adam Williamson 2019-02-20 21:46:36 UTC
I guess https://github.com/GStreamer/gst-plugins-good/commit/b6e6f1ae73375ef66a5748069843aaed1a83e6a6 may be the fix for it in fact...

Comment 21 Adam Williamson 2019-02-20 22:19:30 UTC
OK, yeah, with that patch too the package builds. https://koji.fedoraproject.org/koji/taskinfo?taskID=32930099 is the scratch build if anyone else wants to test.

The behaviour is *different* now but I wouldn't say it's fixed exactly. virt-manager doesn't crash any more, but as soon as the guest hits a graphical environment, it gets *extremely* slow. I thought it had hung, but no, it does *eventually* start displaying the desktop in the VM, but it takes a long time and I keep getting ""Virtual Machine Manager" is not responding" prompts because it's so slow...

Comment 22 Christophe Fergeau 2019-02-21 09:37:50 UTC
(In reply to Adam Williamson from comment #21)
> OK, yeah, with that patch too the package builds.
> https://koji.fedoraproject.org/koji/taskinfo?taskID=32930099 is the scratch
> build if anyone else wants to test.
> 
> The behaviour is *different* now but I wouldn't say it's fixed exactly.
> virt-manager doesn't crash any more, but as soon as the guest hits a
> graphical environment, it gets *extremely* slow. I thought it had hung, but
> no, it does *eventually* start displaying the desktop in the VM, but it
> takes a long time and I keep getting ""Virtual Machine Manager" is not
> responding" prompts because it's so slow...

Is there anything logged either from virt-manager in the terminal you are running it from (with --no-fork), or in the libvirtd log for that VM?
Do you get the same slowness with virt-manager?

Comment 23 Adam Williamson 2019-02-21 17:18:35 UTC
So, if I run from a console with --no-fork , around the time it starts getting really slow, I get this message:

[Thu, 21 Feb 2019 09:12:19 virt-manager 6103] DEBUG (connection:760) domain agent lifecycle event: domain=desktop_test_1 state=VIR_CONNECT_DOMAIN_EVENT_AGENT_LIFECYCLE_STATE_CONNECTED reason=2

then a minute and a half later, this happens:

[Thu, 21 Feb 2019 09:13:57 virt-manager 6103] DEBUG (connection:1444) Error polling connection qemu:///system
NoneType: None
[Thu, 21 Feb 2019 09:13:57 virt-manager 6103] DEBUG (connection:1449) Not showing user error since libvirtd appears to have stopped.
[Thu, 21 Feb 2019 09:13:57 virt-manager 6103] DEBUG (connection:940) conn.close() uri=qemu:///system
[Thu, 21 Feb 2019 09:13:57 virt-manager 6103] DEBUG (connection:955) Failed to deregister events in conn cleanup
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 946, in close
    self._backend.domainEventDeregisterAny(eid)
  File "/usr/lib64/python3.7/site-packages/libvirt.py", line 5091, in domainEventDeregisterAny
    if ret == -1: raise libvirtError ('virConnectDomainEventDeregisterAny() failed', conn=self)
libvirt.libvirtError: internal error: client socket is closed

and virt-manager drops the connection to libvirtd.

libvirtd logs don't show anything relevant (only a bunch of 'Failed to open file' errors for other VMs which are due to a network filesystem bug that has nothing to do with this).

Comment 24 Nerijus Baliūnas 2019-02-22 11:06:07 UTC
Similar problem has been detected:

Open CentOS 7 VM with graphical target running.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/share/virt-manager/virt-manager
crash_function: gst_caps_set_simple_valist
executable:     /usr/bin/python3.7
journald_cursor: s=9fa69736500b4406a5fad8856af3090c;i=377a6;b=23ac30b071944f2d89acdc4a4b063227;m=1f0361d9f0;t=5827965d88625;x=657dc5cc5e4000c4
kernel:         5.0.0-0.rc6.git1.1.fc30.x86_64
package:        virt-manager-2.1.0-1.fc30
reason:         python3.7 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 František Zatloukal 2019-02-26 12:47:51 UTC
The same thing happens when trying to run a vm in Boxes (F30). Entire app just goes down.

Comment 26 Fedora Blocker Bugs Application 2019-02-26 12:51:55 UTC
Proposed as a Blocker for 30-beta by Fedora user frantisekz using the blocker tracking app because:

 The release must be able host virtual guest instances of the same release.

I don't think the workaround of using VNC is good enough. Also, because Boxes are crashing too, this probably fits as breaking Beta blocking TC: "QA:Testcase_workstation_core_applications".

Comment 27 Cole Robinson 2019-03-02 23:50:54 UTC
*** Bug 1684123 has been marked as a duplicate of this bug. ***

Comment 28 Geoffrey Marr 2019-03-04 18:28:52 UTC
Discussed during the 2019-03-04 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criteria:

"The release must be able host virtual guest instances of the same release."

We note that using VNC can be considered a 'workaround', but still think the bug is a blocker, and note that it is not straightforward to do this in Boxes and it is not equal in quality to the default configuration.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-03-04/f30-blocker-review.2019-03-04-17.03.txt

Comment 29 Christophe Fergeau 2019-03-05 08:12:26 UTC
Moving to gstreamer1-plugins-good as this is where the pulseaudio plugin lives. See comment #18 and the next ones for a bunch of fixes which needs backporting.

Comment 30 Wolfgang Ulbrich 2019-03-10 12:07:15 UTC
Similar problem has been detected:

Started a virtual machine (f30) on a f30 host.
Virt-viewer crashes when reaching graphical target.
I saw lightdm login manager just before the crash happens.
Same happens if i am using virt-viewer to fire up the VM.
It happens with all VMs which i use.
All VMs are starting well under f28 or f29 host.
I am using a dualboot system with several fedora versions.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/share/virt-manager/virt-manager
crash_function: gst_caps_set_simple_valist
executable:     /usr/bin/python3.7
journald_cursor: s=1d4f5cc7a71e4384a44220d63b996328;i=83cfe;b=e0e98ecacc1345f7a20ba6220dac867c;m=b0d68e6f;t=583bc3c972923;x=e056c3991a370a32
kernel:         5.0.0-300.fc30.x86_64
package:        virt-manager-2.1.0-1.fc30
reason:         python3.7 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 Wolfgang Ulbrich 2019-03-10 12:11:37 UTC
Opp, (In reply to Wolfgang Ulbrich from comment #30)
> Similar problem has been detected:
> 
> Started a virtual machine (f30) on a f30 host.
> Virt-viewer crashes when reaching graphical target.
opps, typo, crash was with virt-manager.

Comment 32 Wolfgang Ulbrich 2019-03-10 12:12:34 UTC
*** Bug 1687148 has been marked as a duplicate of this bug. ***

Comment 33 Villy Kruse 2019-03-12 08:30:29 UTC
After updating to gstreamer1-1.15.2-2.fc30.x86_64 the problem seems to be fixed.

Comment 34 František Zatloukal 2019-03-12 11:18:11 UTC
Yeah, gstreamer1-1.15.2-2.fc30.x86_64 ( https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5b184ce96 ) fixes the issue. I don't see any slowdowns that Adam mentioned in the comment #21 . The only regression is broken 3D acceleration (opengl), I'll create separate bug for that.

Comment 35 Adam Williamson 2019-03-13 18:34:20 UTC
yeah, the build in the update seems to work fine for me also. Thanks a lot.

Comment 36 Adam Williamson 2019-03-13 18:34:43 UTC
The update was pushed stable, so closing this.


Note You need to log in before you can comment on or make changes to this bug.